thread.h File Reference
`#include <pthread.h>`
`#include <jack/weakmacros.h>`

Go to the source code of this file.

## Macros

#define | THREAD_STACK 524288

## Typedefs

typedef int(* | jack_thread_creator_t )(jack_native_thread_t *, const pthread_attr_t *, void *(*function)(void *), void *arg) JACK_OPTIONAL_WEAK_EXPORT

## Functions

int | jack_client_real_time_priority (jack_client_t *) JACK_OPTIONAL_WEAK_EXPORT
int | jack_client_max_real_time_priority (jack_client_t *) JACK_OPTIONAL_WEAK_EXPORT
int | jack_acquire_real_time_scheduling (jack_native_thread_t thread, int priority) JACK_OPTIONAL_WEAK_EXPORT
int | jack_client_create_thread (jack_client_t *client, jack_native_thread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg) JACK_OPTIONAL_WEAK_EXPORT
int | jack_drop_real_time_scheduling (jack_native_thread_t thread) JACK_OPTIONAL_WEAK_EXPORT
void | jack_set_thread_creator (jack_thread_creator_t creator) JACK_OPTIONAL_WEAK_EXPORT

## Detailed Description

Library functions to standardize thread creation for JACK and its clients. These interfaces hide some system variations in the handling of realtime scheduling and associated privileges.

## Macro Definition Documentation

#define THREAD_STACK 524288